org.apache.poi.ddf

## Class DefaultEscherRecordFactory

- java.lang.Object
- - org.apache.poi.ddf.DefaultEscherRecordFactory

- All Implemented Interfaces:
    EscherRecordFactory
  Direct Known Subclasses:
    HSLFEscherRecordFactory

      public class DefaultEscherRecordFactory
      extends java.lang.Object
      implements EscherRecordFactory

  Generates escher records when provided the byte array containing those records.
  See Also:
    `EscherRecordFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultEscherRecordFactory()` Creates an instance of the escher record factory

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `EscherRecord` | `createRecord(byte[] data, int offset)` Generates an escher record including any children contained under that record.
    `protected java.util.function.Supplier<? extends EscherRecord>` | `getConstructor(short options, short recordId)`
    `static boolean` | `isContainer(short options, short recordId)` Deprecated. this method is not used anymore to identify container records

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultEscherRecordFactory

          public DefaultEscherRecordFactory()

      Creates an instance of the escher record factory

  - ### Method Detail

    - #### createRecord

          public EscherRecord createRecord(byte[] data,
                                           int offset)

      Description copied from interface: `EscherRecordFactory`
      Generates an escher record including any children contained under that record. An exception is thrown if the record could not be generated.
      Specified by:
        `createRecord` in interface `EscherRecordFactory`
      Parameters:
        `data` - The byte array containing the records
        `offset` - The starting offset into the byte array
      Returns:
        The generated escher record

    - #### getConstructor

          protected java.util.function.Supplier<? extends EscherRecord> getConstructor(short options,
                                                                                       short recordId)

    - #### isContainer

          @Deprecated
           @Removal(version="5.0.0")
          public static boolean isContainer(short options,
                                                                                   short recordId)

      Deprecated. this method is not used anymore to identify container records

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.